# Visualization
TKV2d
GGraphic2d

# GGraphic2d_Curve Class Reference

The primitive Curve
.

`#include <GGraphic2d_Curve.hxx>`

Inheritance diagram for GGraphic2d_Curve:

[legend]

## Public Member Functions

Standard_EXPORT | GGraphic2d_Curve (const Handle(Graphic2d_GraphicObject)&aGraphicObject, const Handle(Geom2d_Curve)&aCurve)
| Creates a curve. .
Standard_EXPORT Handle_Geom2d_Curve | GeomCurve () const
| returns the geometric curve
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Static Public Member Functions

static Standard_EXPORT void | Retrieve (Aspect_IFStream &anIFStream, const Handle(Graphic2d_GraphicObject)&aGraphicObject)

## Protected Member Functions

Standard_EXPORT void | Draw (const Handle(Graphic2d_Drawer)&aDrawer)
| Draws the curve <me>. .
Standard_EXPORT Standard_Boolean | Pick (const Standard_ShortReal X, const Standard_ShortReal Y, const Standard_ShortReal aPrecision, const Handle(Graphic2d_Drawer)&aDrawer)
| Returns Standard_True if the curve <me> is picked, Standard_False if not. .
virtual Standard_EXPORT void | Save (Aspect_FStream &aFStream) const

## Private Attributes

Handle_Geom2d_Curve | myCurve

## Constructor & Destructor Documentation

Standard_EXPORT GGraphic2d_Curve::GGraphic2d_Curve | ( | const Handle(Graphic2d_GraphicObject)& | aGraphicObject,
|  | const Handle(Geom2d_Curve)& | aCurve
| ) |

## Member Function Documentation

Standard_EXPORT void GGraphic2d_Curve::Draw | ( | const Handle(Graphic2d_Drawer)& | aDrawer | ) | `[protected, virtual]`

| Implements Graphic2d_Primitive.

Standard_EXPORT Handle_Geom2d_Curve GGraphic2d_Curve::GeomCurve | ( |  | ) | const

Standard_EXPORT const GGraphic2d_Curve::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Graphic2d_Line.

Standard_EXPORT Standard_Boolean GGraphic2d_Curve::Pick | ( | const Standard_ShortReal | X,
|  | const Standard_ShortReal | Y,
|  | const Standard_ShortReal | aPrecision,
|  | const Handle(Graphic2d_Drawer)& | aDrawer
| ) | `[protected, virtual]`

| Implements Graphic2d_Primitive.

static Standard_EXPORT void GGraphic2d_Curve::Retrieve | ( | Aspect_IFStream & | anIFStream,
|  | const Handle(Graphic2d_GraphicObject)& | aGraphicObject
| ) | `[static]`

virtual Standard_EXPORT void GGraphic2d_Curve::Save | ( | Aspect_FStream & | aFStream | ) | const`[protected, virtual]`

| Reimplemented from Graphic2d_Line.

## Field Documentation

Handle_Geom2d_Curve GGraphic2d_Curve::myCurve `[private]`

The documentation for this class was generated from the following file:

- GGraphic2d_Curve.hxx